import {SimpleState} from "../../gamesystems/states/SimpleState";
import {TemplateElement} from "../TemplateElement";
import {ScriptAccountCondition} from "../../gamesystems/conditions/ScriptAccountCondition";

export class SimpleTemplateState extends SimpleState {

  conditionMap: Map<TemplateElement, ScriptAccountCondition[]> = new Map();

  addTemplateElement(templateElement: TemplateElement) {
    this.conditionMap.set(templateElement, [])
  }

  removeTemplateElement(templateElement: TemplateElement) {
    this.conditionMap.delete(templateElement)
  }
}
