import {StoreComponent} from "../../../../../app/storage/StoreComponent";
import {Character} from "../../game-model/characters/Character";


export class CharacterParser {

  public parseCharacters(characters: StoreComponent[]): Character[] {
    const loadedCharacters: Character[] = []
    characters.forEach(character => loadedCharacters.push(this.parseSingleCharacter(JSON.parse(character.jsonString))))
    return loadedCharacters;
  }

  private parseSingleCharacter(characterData: any): Character {
    return new Character(characterData.componentName, characterData.componentDescription);
  }
}
